Subject: bug#30243: 26.0.91; Infinite recursion in `make-auto-save-file-name' for quoted filenames

From: Noam Postavsky <[email-masked]>
Date: Thu, 01 Feb 2018 20:16:59 -0500

Michael Albinus <[email-masked]> writes:

> Philipp Stephani <[email-masked]> writes:
>
> Hi Philipp,
>
>> Seems to work. I've tested both the batch command and visiting a
>> quoted file, they appear to work as expected. Thanks! 
>
> Thanks for checking. So we seem to be OK now with the emacs-26 branch.
>
> I propose to close this bug after Noam has merged the
> scratch/nonspecial-handlers branch into master, and the tests pass
> successfully.

I'v pushed to master.

[1: 65da409e41]: 2018-02-01 20:14:57 -0500
  Test and fix "/:" quoted file name handlers (Bug#30243)
  https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=65da409e411a0cdfa1932d21ce8a7f87ceae9e25

[2: 00c65bcf4e]: 2018-02-01 20:15:11 -0500
  Use file-name-quote{,d-p} in files-tests.el
  https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=00c65bcf4ee8ca4ce04ad46907de29c832b8310b

[3: e08de2bae2]: 2018-02-01 20:15:12 -0500
  Handle quoted file names in filenotify.el
  https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=e08de2bae2a8e91c0245259dfcbfdca1d191a119